TeamCity 5.0 EAP - Can't install Eclipse plug in

I am trying to use the Eclipse plug-in but I get the following error when I try to download it via the Software Updates tool in Eclipse:

Network connection problems encountered during search.
  Unable to access "http://servername:port/update/eclipse/index.jsp".
    Error parsing site stream. [The XML stream is not a valid default "site.xml" file. The root tag is not site.]
    Error parsing site stream. [The XML stream is not a valid default "site.xml" file. The root tag is not site.]

The url displays in the browser the following:

Use the link http://servername:port/update/eclipse/index.jsp as Eclipse update site.
To install the plugin, use "Help | Software Updates" in Eclipse.
See TeamCity online help for more details.

Note, I haven't installed any of the pre-requisites listed in the help page as I don't intend to use Remote Run (we use TFS for SC and this is not yet supported by TC) .

Another possible cause is that my Eclipse runs with JDK 1.6 rather than 1.5 as indicated in the help page, can someone confirm if 1.5 is a minimum or exact requirement?

BTW, I am trying this on Eclipse 3.2

Thanks,
Alex

2 comments
Comment actions Permalink

Try to remove index.jsp from the update link. Actually index.jsp should not be in this link, it is a known problem in the last EAP.

0
Comment actions Permalink

Yes, removing index.jsp solved the problem, thanks.

0

Please sign in to leave a comment.